Bug 49624 - vanishing fonts
Summary: vanishing fonts
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-21 20:23 UTC by Michal Jaegermann
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-06 04:57:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2001-07-21 20:23:07 UTC
Description of Problem:

In Fairfax totally vanished packages for ISO8859-2 suplying 'misc'
(last time seen as XFree86-ISO8859-2-1.0-15) and scalable, Type1, 
(was XFree86-ISO8859-2-Type1-fonts-1.0-15) fonts.  Is this a response
for earlier complaints that working fonts from RH 6.2 distribution
were later replaced by some broken sets?  'misc' set used to supply
a default "fixed" font used all over by X applications as a fall-back.

In general from scalable, non "western Europe" fonts, in Fairfax only
a Greek set seems to survive for reasons not entirely clear.

Another example of "vanishing fonts" is provided by 'metamail' package
which used to have some extra fonts in /usr/lib/metamail/fonts/.
Currently only an empty directory /usr/lib/metamail/ remains with
no clear purpose outside of eating some inodes on a disk.

Comment 1 Michal Jaegermann 2001-07-21 20:26:21 UTC
For "earlier complaints" mentioned above see pictures attached to #27072.

Comment 2 Glen Foster 2001-07-23 21:17:07 UTC
This defect is considered SHOULD-FIX for Fairfax.

Comment 3 Mike A. Harris 2001-07-25 03:58:49 UTC
Hi Michal, no this is not a response to that.  ;o)  Those font
packages are not owned by me, and I have no idea why they were removed.
XFree86 now has packages similarly named.  They do not however contain
the same fonts.

Investigating...

Comment 4 Michal Jaegermann 2001-07-25 04:20:03 UTC
Hi Mike!  I think that if you are talking about Fairfax (as opposed to
RH 7.1) then even "XFree86 now has packages similarly named" is not
entirely correct.  Just grep for ISO8859-2 on Fairfax comps.

Comment 5 Mike A. Harris 2002-03-12 07:42:01 UTC
These fonts are now in fonts-ISO8859-2 in rawhide.  I am hoping
all is well with them now.  If not, please open a new bug report
and beat me silly.  ;o)

Comment 6 Michal Jaegermann 2002-03-12 17:29:45 UTC
Quick peek at the content of _eight_ packages in rawhide suggests that you
are right.  Let us hope that they will find their way into a distribution. :-)
It is nice that some of these got "divorced" from the main XFree86 package.
I will try to see if some funnies crept in (hope not).  Thanks!

Comment 7 Mike A. Harris 2002-03-13 06:33:23 UTC
Ok great, thanks for the quick feedback.


Note You need to log in before you can comment on or make changes to this bug.